# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/profiler/v2/version"

require "google/cloud/profiler/v2/profiler_service/credentials"
require "google/cloud/profiler/v2/profiler_service/paths"
require "google/cloud/profiler/v2/profiler_service/client"
require "google/cloud/profiler/v2/profiler_service/rest"

module Google
  module Cloud
    module Profiler
      module V2
        ##
        # Manage the collection of continuous profiling data provided by profiling
        # agents running in the cloud or by an offline provider of profiling data.
        #
        # General guidelines:
        # * Profiles for a single deployment must be created in ascending time order.
        # * Profiles can be created in either online or offline mode, see below.
        #
        # @example Load this service and instantiate a gRPC client
        #
        #     require "google/cloud/profiler/v2/profiler_service"
        #     client = ::Google::Cloud::Profiler::V2::ProfilerService::Client.new
        #
        # @example Load this service and instantiate a REST client
        #
        #     require "google/cloud/profiler/v2/profiler_service/rest"
        #     client = ::Google::Cloud::Profiler::V2::ProfilerService::Rest::Client.new
        #
        module ProfilerService
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "profiler_service", "helpers.rb"
require "google/cloud/profiler/v2/profiler_service/helpers" if ::File.file? helper_path
